Name: zhcon
Summary: A Fast Console CJK System Using FrameBuffer
Version: 0.2.6
Release: 16%{?dist}
Group: Applications/System
License: GPLv2+
URL:   http://zhcon.sourceforge.net/
Source0: http://ftp.debian.org/debian/pool/main/z/zhcon/%{name}_%{version}.orig.tar.gz
Patch0: http://ftp.debian.org/debian/pool/main/z/zhcon/%{name}_%{version}-6.1.diff.gz
Patch1: %{name}-%{version}-flags.patch
Patch2: %{name}-%{version}-path-define.patch
Patch3: %{name}-%{version}-gcc43.patch
Patch4: %{name}-%{version}-locale.patch
Patch5: %{name}-%{version}-keyswitch.patch
Patch6: %{name}-%{version}-xf86int10.patch
Summary: A fast Linux Console Chinese System that supports framebuffer
Summary(zh_CN): Zhcon 是一个支持 Framebuffer 的 Linux 中日韩文控制台
Summary(zh_TW): Zhcon 是一個支援 Framebuffer 及多內碼 Linux 中日韓文主控台

%if 0%{?fedora} >= 9
%define ncurse_libs_postfix -libs
%endif


BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf automake 
BuildRequires: gettext-devel ncurses-devel gpm-devel
Requires: gpm ncurses%{!?ncurse_libs_postfix: }


%description
Zhcon is a fast Linux Console Chinese System which supports
framebuffer device.It can display Chinese, Japanese or Korean
double byte characters. Supported language encodings include:
UTF8, GB2312, GBK, BIG5, JIS and KSC.

%description -l zh_CN
zhcon 是一个支持 Framebuffer 的 Linux 中日韩文控制台。
它能够控制台上显示简体中文、繁体中文、日文、韩文
等双字节字符。支持多种输入法。
现支持的有： UTF8, GB2312, GBK, BIG5, JIS 及 KSC。

%description -l zh_TW
zhcon 是一個支援 Framebuffer 與多内碼的 Linux 中日韓文主控台。
它能够在控制台上顯示簡體中文、繁體中文、日文、韓文
等雙位元組字元。支援多种输入法。
現支援的內碼有： UTF8, GB2312, GBK, BIG5, JIS 及 KSC。
%prep
%setup -q
%patch0 -p1 -b .6-diff
%patch1 -p1 -b .flags
%patch2 -p0 -b .path-define
%patch3 -p0 -b .gcc43
%patch4 -p0 -b .locale
%patch5 -p0 -b .keyswitch
%patch6 -p0 -b .xf86int10
iconv -f GB2312 -t UTF-8 ChangeLog -o ChangeLog.utf && mv -f ChangeLog.utf ChangeLog
( cd doc; tar -zxf html.tar.gz; chmod 755 manual)
# liu5 is a non-free input method
rm -f input/big5-liu5.mb

%build
# exit if bootstrap fails
# missing config.rpath causes automake failure
sed -i -e 's|set -x|set -e -x|' bootstrap
touch config.rpath

./bootstrap
%configure
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} INSTALL="install -c -p" install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README README.utf8 THANKS TODO doc/bpsf.txt doc/README.html
%lang(zh_CN) %doc doc/manual* doc/poem.gb doc/poem.gb.utf8
%lang(zh_TW) %doc doc/poem.big5
%{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(4755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Fri Nov 19 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.2.6-16
- Applied Debian's zhcon_0.2.6-6-1.diff.gz patch.
- Remove input/big5-liu5.mb, as it may cause license issue.

* Mon Jan 04 2010 Ding-Yi Chen <dchen at redhat dot com> - 0.2.6-15
- Applied Debian's zhcon_0.2.6-6.diff.gz patch.
- Fixed Bug 539125 -  FTBFS zhcon-0.2.6-14.fc12

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 25 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.2.6-12
- Debian provide patch of zhcon_0.2.6-5.2.diff.gz

* Mon Jul 15 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.2.6-10
- Address the dependence in RHEL5 and Fedora <= 8 which do not have ncurses-libs.
- Add gpm as Required

* Tue Jul 15 2008 Ding-Yi Chen <dchen at redhat dot com> - 0.2.6-9
- [Bug 454228] [zhcon] Cannot start input method for x86_64 user
- [Bug 449625] FTBFS zhcon-0.2.6-8.fc9
- [Bug 441203] [zhcon] The input methods other than the default one were not changable for use

* Mon Mar 03 2008 Hu Zheng <zhu@redhat.com> - 0.2.6-8
- i386 build fix.

* Tue Feb 26 2008 Hu Zheng <zhu@redhat.com> - 0.2.6-7
- Gcc-4.3 compile fix.

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.2.6-6
- Autorebuild for GCC 4.3

* Thu Mar 29 2007 Hu Zheng <zhu@redhat.com> - 0.2.6-5
- Fix x86_64 compile error.

* Tue Feb 27 2007 Hu Zheng <zhu@redhat.com> - 0.2.6-3
- Update for review.

* Thu Feb 15 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.6-2.1
- Add source URL
- Check if bootstrap exited with success
- Change the directory of %%{name}.conf
- Move all files in %%{_libdir} to %%{_datadir} (no libraries is
  found)
- Add BR gpm-devel
- Pass optflags correctly
- Keep timestamps

* Thu Feb 15 2007 Hu Zheng <zhu@redhat.com> - 0.2.6-2
- Fix spec file.

* Mon Feb 12 2007 Hu Zheng <zhu@redhat.com> - 0.2.6-1
- Initial build for Fedora Extra

